Loading...
Searching...
No Matches
AwsRestClientDataProvider::AwsRestClientDataProviderBase Class Reference

The AWS REST client base data provider class. More...

`#include <AwsRestClientDataProviderBase.qc.dox.h>`

Inheritance diagram for AwsRestClientDataProvider::AwsRestClientDataProviderBase:
[legend]

## Public Member Functions

| constructor ()
| Creates the object.
| constructor (AwsRestClient rest)
| Creates the object from a REST connection.
| setLogger (*LoggerInterface logger)
| Accepts a LoggerInterface object for logging (or clears it)

## Detailed Description

The AWS REST client base data provider class.